# Functor Minsep.I

    module I: functor (G : siginclude Minsep.G
    module Mark: Sig.MARK  with type graph = t and type vertex = V.tend) -> MINSEP  with module G = G

Implementation for an imperative graph. Less efficient that the implementation for a persistent graph

Parameters: |
`G` | : | `sig include G module Mark : Sig.MARK with type graph = t and type vertex = V.t end`

    module G: Minsep.G

Implementation of a graph

    module Vertex_Set: Set.S  with type elt = G.V.t

Implementation of a set of vertex

    module VSetset: Set.S  with type elt = Vertex_Set.t

Implementation of a set of `Vertex_Set`

    val allminsep : Minsep.G.t -> Vertex_Set.t list

`allminsep g` computes the list of all minimal separators of g.

    val list_of_allminsep : Minsep.G.t -> G.V.t list list

Less efficient that `allminsep`

    val set_of_allminsep : Minsep.G.t -> VSetset.t

Less efficient that `allminsep`